<?php
/**
 * @package indie
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
	
	<?php // Post Category ?>
		<?php if(is_front_page()): ?>
			<?php if(!get_theme_mod('indie_homepage_hide_categories')) : ?>
				<span class="cat"><?php indie_category(', '); ?></span>
			<?php endif;?>
		<?php else: ?>
			<span class="cat"><?php indie_category(', '); ?></span>
		<?php endif; ?>
		
	<?php // Post Title ?>
		<?php if(is_single()) : ?>
			<h1><?php the_title(); ?></h1>
		<?php else : ?>
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<?php endif; ?>
		
	<?php // Published Date ?>
		<?php if(is_front_page()): ?>
			<?php if(!get_theme_mod('indie_homepage_hide_date')) : ?>
				<span class="date"><?php the_time( get_option('date_format') ); ?></span>
			<?php endif; ?>
		<?php else: ?>
			<span class="date"><?php the_time( get_option('date_format') ); ?></span>
		<?php endif; ?>
		
	<?php // Author Link ?>
		<?php if(is_front_page()): ?>
			<?php if(!get_theme_mod('indie_homepage_hide_author')) : ?>
				<span class="author-link"><?php echo get_the_author_link(); ?></span>
			<?php endif; ?>
		<?php else: ?>
			<span class="author-link"><?php echo get_the_author_link(); ?></span>
		<?php endif; ?>
		
	<?php // Comment Count ?>
		<?php if(is_front_page()): ?>
			<?php if(!get_theme_mod('indie_homepage_hide_comment_count')) : ?>
				<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
					<span class="comments-link"><?php comments_popup_link( __( '0', 'indie' ), __( '1', 'indie' ), __( '% Comments', 'indie' ) ); ?></span>
				<?php endif; ?>
			<?php endif; ?>
		<?php else: ?>
			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
				<span class="comments-link"><?php comments_popup_link( __( '0', 'indie' ), __( '1', 'indie' ), __( '% Comments', 'indie' ) ); ?></span>
			<?php endif; ?>
		<?php endif; ?>

		
	</header><!-- .entry-header -->
	
	
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php indie_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'indie' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	
	<?php if(!get_theme_mod('indie_hide_author_posts')) : ?>
		<?php get_template_part('inc/templates/about_author'); ?>
	<?php endif; ?>
	
	<footer class="entry-footer">
		<?php indie_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
