<?php
// If masonry is set then load in masonry code.
if(get_theme_mod('indie_homepage_display') == 'masonry'):
	
		
	 if (! function_exists('indie_masonry_scripts') ) :
		if ( ! is_admin() ) :
			function indie_masonry_scripts() {
			    wp_enqueue_script('masonry');
			}
			add_action( 'wp_enqueue_scripts', 'indie_masonry_scripts' );
		endif;
	endif;
	if ( ! function_exists( 'indie_masonry_init' )) :
		function indie_masonry_init(){
			
			wp_enqueue_script('indie_masonry_init', get_template_directory_uri().'/js/masonry_init.js', NULL, NULL,TRUE);	
		}
		add_action( 'wp_head', 'indie_masonry_init' );
	endif;
		
endif;



add_action( 'customize_register', 'indie_customize_register' );
function indie_customize_register($wp_customize) {

	class Customize_Number_Control extends WP_Customize_Control {
		public $type = 'number';
	 
		public function render_content() {
			?>
			<label>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<input type="number" name="quantity" <?php $this->link(); ?> value="<?php echo esc_textarea( $this->value() ); ?>" style="width:70px;">
			</label>
			<?php
		}
	}
	
	class Customize_CustomCss_Control extends WP_Customize_Control {
		public $type = 'custom_css';
	 
		public function render_content() {
			?>
			<label>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<textarea style="width:100%; height:150px;" <?php $this->link(); ?>><?php echo $this->value(); ?></textarea>
			</label>
			<?php
		}
	}

}

if (class_exists('WP_Customize_Control')) {
    class WP_Customize_Category_Control extends WP_Customize_Control {
        /**
         * Render the control's content.
         *
         * @since 3.4.0
         */
        public function render_content() {
            $dropdown = wp_dropdown_categories(
                array(
                    'name'              => '_customize-dropdown-categories-' . $this->id,
                    'echo'              => 0,
                    'show_option_none'  => __( '&mdash; Select &mdash;', 'indie' ),
                    'option_none_value' => '0',
                    'selected'          => $this->value(),
                )
            );
 
            // Hackily add in the data link parameter.
            $dropdown = str_replace( '<select', '<select ' . $this->get_link(), $dropdown );
 
            printf(
                '<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>',
                $this->label,
                $dropdown
            );
        }
    }
}
